## ros-noetic-catkin-virtualenv 0.6.1

=== debian/changelog ===
ros-noetic-catkin-virtualenv (0.6.1-2focal) focal; urgency=high

  * Correct dependencies and autoformat (#72 <https://github.com/locusrobotics/catkin_virtualenv/issues/72>)
    * Remove python-virtualenv dep
    * Add python2-dev
    * Lint
  * We're ok with any 44.x version of setuptools (#71 <https://github.com/locusrobotics/catkin_virtualenv/issues/71>)
    But not anything newer.
    Older versions don't appear to work reliably with pip==20.1.
    This helps when running a build of a package depending on catkin_virtualenv on OS which ship with an old version of setuptools (such as Ubuntu Xenial) when USE_SYSTEM_PACKAGES is not set to FALSE. In that situation, only specifying 'setuptools<45` will be true, as setuptools is installed (in the systems site packages), so pip will not upgrade it. Specifying a minimum version like this will force pip to always install an up-to-date version.
  * Contributors: G.A. vd. Hoorn, Paul Bovbel

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Mon, 24 Aug 2020 04:00:00 -0000

ros-noetic-catkin-virtualenv (0.6.0-2focal) focal; urgency=high

  * Don't require catkin_package to be called before catkin_generate_virtualenv (#67 <https://github.com/locusrobotics/catkin_virtualenv/issues/67>)
  * Revert "Downgrade docutils so that boto works (#66 <https://github.com/locusrobotics/catkin_virtualenv/issues/66>)"
    This reverts commit 998cd6add2e43e12036d0db15a7c4d58fe3411cf.
  * Downgrade docutils so that boto works (#66 <https://github.com/locusrobotics/catkin_virtualenv/issues/66>)
    See https://github.com/boto/botocore/issues/1942 and related threads.
  * Make regex for Python bytecode more selective (#65 <https://github.com/locusrobotics/catkin_virtualenv/issues/65>)
    Fix regex to match only files ending in ".py[co]" and not files ending
    in "py[co]".
  * Remove user specific paths (#63 <https://github.com/locusrobotics/catkin_virtualenv/issues/63>)
    * Remove user specific paths
    * Change working directory of venv_lock command
    * Lock catkin_virtualenv base requirements
    Co-authored-by: Paul Bovbel <mailto:paul@bovbel.com>
  * RST-3172 Check that requirements file is locked (#62 <https://github.com/locusrobotics/catkin_virtualenv/issues/62>)
  * Two helpful hints (#61 <https://github.com/locusrobotics/catkin_virtualenv/issues/61>)
  * Fix input requirements warning (#58 <https://github.com/locusrobotics/catkin_virtualenv/issues/58>)
    * Only warn about INPUT_REQUIREMENTS if a package exports requirements to begin with
    * Update catkin_virtualenv/cmake/catkin_generate_virtualenv.cmake
    Co-authored-by: Andrew Blakey <mailto:ablakey@gmail.com>
    Co-authored-by: Andrew Blakey <mailto:ablakey@gmail.com>
  * Preserve symlinks during copy (#57 <https://github.com/locusrobotics/catkin_virtualenv/issues/57>)
  * Don't ignore unknown args
  * RST-3172 Refactor catkin_virtualenv to allow locking dependencies (#55 <https://github.com/locusrobotics/catkin_virtualenv/issues/55>)
    * Remove unused options
    * Fix regex for comments
    * Migrate scripts
    * Remove old code
    * Move common requirements to an export file
    * Minor cleanup
    * Remove requirement-parsing unit tests
    * Fix logging config
    * Fix test builds
    * Generate lock files
    * Fix tests
    * Move dh-virtualenv functions into separate file
    * Fix roslint
    * Update docs
    * Update requirements
    * CMake comments
    * Fix pip-args
    * README fixup
    * Correct ARG_LOCK_FILE handling
    * Remove headers
    * Use set comprehension
    * Add migration doc
    * Respin
  * Use exec to dive into python (#51 <https://github.com/locusrobotics/catkin_virtualenv/issues/51>)
  * First python2 issue of 2020 (#49 <https://github.com/locusrobotics/catkin_virtualenv/issues/49>)
    * Clean up options, virtualenv installs setuptools by default
    * Make sure we install a compatible setuptools version for py2 venv
  * catkin-pkg-modules has disappeared off pypi (#46 <https://github.com/locusrobotics/catkin_virtualenv/issues/46>)
    * catkin-pkg-modules has disappeared off pypi, but catkin-pkg is still there
    * Version all requirements
  * Contributors: David V. Lu!!, Michael Johnson, Paul Bovbel, abencz

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Tue, 14 Jul 2020 04:00:00 -0000

ros-noetic-catkin-virtualenv (0.5.0-2focal) focal; urgency=high

  * Don't inherit requirements from exec_depends (#45 <https://github.com/locusrobotics/catkin_virtualenv/issues/45>)
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Fri, 21 Jun 2019 04:00:00 -0000

ros-noetic-catkin-virtualenv (0.4.1-2focal) focal; urgency=high

  * VCS support (#40 <https://github.com/locusrobotics/catkin_virtualenv/issues/40>)
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Tue, 11 Jun 2019 04:00:00 -0000

ros-noetic-catkin-virtualenv (0.4.0-2focal) focal; urgency=high

  * Pin pip to known-working version (#38 <https://github.com/locusrobotics/catkin_virtualenv/issues/38>)
  * Fix python3 isolated builds (#37 <https://github.com/locusrobotics/catkin_virtualenv/issues/37>)
    - Pull in an upstream fix to deal with new shebang styles
    - add a new test for isolated py3 virtualenvs
    - switch to using an internal pip module
  * venv module doesn't support no-site-packages arg
  * Pass arguments to internal venv module if specified (#36 <https://github.com/locusrobotics/catkin_virtualenv/issues/36>)
  * Add missing dependency
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@locusrobotics.com>  Mon, 18 Mar 2019 04:00:00 -0000

ros-noetic-catkin-virtualenv (0.3.0-2focal) focal; urgency=high

  * Add retry to virtualenv creation (#34 <https://github.com/locusrobotics/catkin_virtualenv/issues/34>)
    * Echo check_call to stderr
    * Fixup bug from #33 <https://github.com/locusrobotics/catkin_virtualenv/issues/33>
    * Add retry to virtualenv generation
    * Add debug line for virtualenv
    * Don't error on cleanup

